DbHashStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbHashStat,DbHashStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbHashStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbHashStat

public class DbHashStat
extends Object

The DbHashStat object is used to return Hash database statistics.

Field Summary
`int` | `hash_bfree` The number of bytes free on bucket pages.
`int` | `hash_big_bfree` The number of bytes free on big item pages.
`int` | `hash_bigpages` The number of big key/data pages.
`int` | `hash_buckets` The number of hash buckets.
`int` | `hash_dup` The number of duplicate pages.
`int` | `hash_dup_free` The number of bytes free on duplicate pages.
`int` | `hash_ffactor` The desired fill factor (number of items per bucket) specified at database-creation time.
`int` | `hash_free` The number of pages on the free list.
`int` | `hash_magic` Magic number that identifies the file as a Hash file.
`int` | `hash_metaflags`
`int` | `hash_ndata` The number of key/data pairs in the database.
`int` | `hash_nkeys` The number of unique keys in the database.
`int` | `hash_overflows` The number of overflow pages (overflow pages are pages that contain items that did not fit in the main bucket page).
`int` | `hash_ovfl_free` The number of bytes free on overflow pages.
`int` | `hash_pagesize` The underlying Hash database page (and bucket) size, in bytes.
`int` | `hash_version` The version of the Hash database.

Constructor Summary
`DbHashStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hash_magic

    public int hash_magic

  Magic number that identifies the file as a Hash file. Returned if Db.DB_FAST_STAT is set.

### hash_version

    public int hash_version

  The version of the Hash database. Returned if Db.DB_FAST_STAT is set.

### hash_metaflags

    public int hash_metaflags

### hash_nkeys

    public int hash_nkeys

  The number of unique keys in the database. If Db.DB_FAST_STAT was specified the count will be the last saved value unless it has never been calculated, in which case it will be 0. Returned if Db.DB_FAST_STAT is set.

### hash_ndata

    public int hash_ndata

  The number of key/data pairs in the database. If Db.DB_FAST_STAT was specified the count will be the last saved value unless it has never been calculated, in which case it will be 0. Returned if Db.DB_FAST_STAT is set.

### hash_pagesize

    public int hash_pagesize

  The underlying Hash database page (and bucket) size, in bytes. Returned if Db.DB_FAST_STAT is set.

### hash_ffactor

    public int hash_ffactor

  The desired fill factor (number of items per bucket) specified at database-creation time. Returned if Db.DB_FAST_STAT is set.

### hash_buckets

    public int hash_buckets

  The number of hash buckets. Returned if Db.DB_FAST_STAT is set.

### hash_free

    public int hash_free

  The number of pages on the free list.

### hash_bfree

    public int hash_bfree

  The number of bytes free on bucket pages.

### hash_bigpages

    public int hash_bigpages

  The number of big key/data pages.

### hash_big_bfree

    public int hash_big_bfree

  The number of bytes free on big item pages.

### hash_overflows

    public int hash_overflows

  The number of overflow pages (overflow pages are pages that contain items that did not fit in the main bucket page).

### hash_ovfl_free

    public int hash_ovfl_free

  The number of bytes free on overflow pages.

### hash_dup

    public int hash_dup

  The number of duplicate pages.

### hash_dup_free

    public int hash_dup_free

  The number of bytes free on duplicate pages.

Constructor Detail

### DbHashStat

    public DbHashStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.